package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

public enum CognizanceApplyFields {
	
	UID("uid", "用户id"),
	CONTACTS("contacts", "联系人"),
	COMMENT("comment", "备注"),
	CONSULTANT("consultant", "咨询师"),
	YEAR("year", "年份"),
	STATE("state", "状态"),
	SALESMAN("salesman", "营销员"),
	
	OTHER("", "未知参数");
	
	private String	code;
	private String	desc;
	
	private static Map<String, CognizanceApplyFields> status = new HashMap<String, CognizanceApplyFields>();
	
	private CognizanceApplyFields(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}
	
	static {
		for (CognizanceApplyFields value : CognizanceApplyFields.values()) {
			status.put(value.getCode(), value);
		}
	}
	
	public static CognizanceApplyFields getField(String code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}
	
	public static String getFieldDesc(String code) {
		return getField(code).getDesc();
	}

	public static boolean containsType(String code) {
		return status.containsKey(code);
	}
	
	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}


}
